package com.mot.tests;


public class SOAPEnums
{
    private SOAPEnums()
    {
    }

    public static final String WSDL = "wsdl";// type of wsdl under the NE location pair
    public static final String SOAP_ACTION = "SOAPAction"; // method to be called on wsdl
    public static final String PARAMS_LOCATION = "paramsLocation"; // input to the soap call
    public static final String PAYLOAD_LOCATION = "get-payload-location"; // input to the soap call
    public static final String RESPONSE_LOCATION = "responseLocation"; // response of soap call
    public static final String RESPONSE_AS_OGNLMAP = "responseAsOgnlMap";
    public static final String SMOOKS_TRANSFORMATION = "smooksTransform";
    public static final String SOAPNS = "SOAPNS";
    public static final String NETYPE = "NEType"; // the NE type
    public static final String ENDPOINT_URL = "endpointUrl"; // the NE type
    public static final String LOCATION = "location"; // the location of the NE
    public static final String LOCATION_ID = "locationID"; // the location of the NE
    public static final String FAULT_HANDLER = "FaultHandler";
    public static final String HTTP_AUTH = "HTTP_AUTH";
    public static final String HTTPS_AUTH = "HTTPS_AUTH";
    /** HTTPS authentication (User name and password) + certificate */
    public static final String HTTPS_AUTH_CERT = "HTTPS_AUTH_CERT";
    public static final String FAULT_NODE = "env:Fault";
    public static final String USERNAME = "username";
    public static final String PASSWORD = "password";
}
